Theme switcher

Upload a new document

Header Parameters

Authorizationstring

Body Parameters

docIdstring Required

External document ID

fieldsstring

JSON-encoded array of Field objects. String values are limited to 10240 characters.

filestring Required

File object

uploadPathstring

"/" separated path to the folder to contain the uploaded file. Will create the specified folder structure if it does not already exist.

runCustomModelsboolean

Whether to run custom models on the uploaded document. Default is "false".

Default value
false

Response

202
Object

Request has been accepted

Response Attributes

statusstring Required
Enum values:
IN_PROGRESSREADYFAILED
evisortIdstring Required

Evisort document handler ID (string). GET /documents returns this same id as an integer.

400
Object

Invalid request parameters

Response Attributes

errorstring
401
Object

Access token is missing or invalid

Response Attributes

errorstring
403
Object

Forbidden

Response Attributes

errorstring
500
Object

Internal/Unexpected Error

Response Attributes

errorstring
Was this section helpful?

POST

/

Select
1

Response

Was this section helpful?